Loading...
Searching...
No Matches
LLVM_Runtime_Linker.h File Reference

Support for linking LLVM modules that comprise the runtime. More...

`#include <cstdint>`
`#include <memory>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | llvm
namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

llvm::Triple | Halide::Internal::get_triple_for_target (const Target &target)
| Return the llvm::Triple that corresponds to the given Halide Target.
std::unique_ptr< llvm::Module > | Halide::Internal::get_initial_module_for_target (Target, llvm::LLVMContext *, bool for_shared_jit_runtime=false, bool just_gpu=false)
| Create an llvm module containing the support code for a given target.
std::unique_ptr< llvm::Module > | Halide::Internal::get_initial_module_for_ptx_device (Target, llvm::LLVMContext *c)
| Create an llvm module containing the support code for ptx device.
void | Halide::Internal::add_bitcode_to_module (llvm::LLVMContext *context, llvm::Module &module, const std::vector< uint8_t > &bitcode, const std::string &name)
| Link a block of llvm bitcode into an llvm module.
std::unique_ptr< llvm::Module > | Halide::Internal::link_with_wasm_jit_runtime (llvm::LLVMContext *c, const Target &t, std::unique_ptr< llvm::Module > extra_module)
| Take the llvm::Module(s) in extra_modules (if any), add the runtime modules needed for the WASM JIT, and link into a single llvm::Module.

## Detailed Description

Support for linking LLVM modules that comprise the runtime.

Definition in file LLVM_Runtime_Linker.h.